API docs / Image models
Recraft 3 API
Recraft V3 (code-named red_panda) is a text-to-image model with the ability to generate long texts, and images in a wide list of styles. As of today, it is SOTA in image generation, proven by the Text-to-Image Benchmark by Artificial Analysis
- Model id
recraft-ai/recraft-v3- Provider
- recraft-ai
- Output
- Image
- Price
- From 14 credits per run, the same as on voor.ai. Options such as length or resolution can change it.
Request
POST https://voor.ai/v1/generations with "model": "recraft-ai/recraft-v3". Poll GET /v1/tasks/{id} or receive the signed webhook. See the overview for keys, idempotency, webhooks and errors.
curl https://voor.ai/v1/generations \
-H "Authorization: Bearer $VOOR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{
"model": "recraft-ai/recraft-v3",
"input": {
"prompt": "A red fox standing in fresh snow at golden hour, soft light"
},
"callback_url": "https://example.com/webhooks/voor"
}'
# Then poll the task (or wait for the webhook):
curl https://voor.ai/v1/tasks/TASK_ID \
-H "Authorization: Bearer $VOOR_API_KEY"Input parameters
| Name | Type | Details |
|---|---|---|
promptrequired | string | Text prompt for image generation |
aspect_ratio | string | Default: One of: Not set, 1:1, 4:3, 3:4, 3:2, 2:3, 16:9, 9:16, 1:2, 2:1, 7:5, 5:7, 4:5, 5:4, 3:5, 5:3 |
style | string | Default: One of: any, realistic_image, digital_illustration, digital_illustration/pixel_art, digital_illustration/hand_drawn, digital_illustration/grain, digital_illustration/infantile_sketch, digital_illustration/2d_art_poster, digital_illustration/handmade_3d, digital_illustration/hand_drawn_outline, digital_illustration/engraving_color, digital_illustration/2d_art_poster_2, realistic_image/b_and_w, realistic_image/hard_flash, realistic_image/hdr, realistic_image/natural_light, realistic_image/studio_portrait, realistic_image/enterprise, realistic_image/motion_blur |
size | string | Default: One of: 1024x1024, 1365x1024, 1024x1365, 1536x1024, 1024x1536, 1820x1024, 1024x1820, 1024x2048, 2048x1024, 1434x1024, 1024x1434, 1024x1280, 1280x1024, 1024x1707, 1707x1024 |